/[gentoo-x86]/eclass/elisp.eclass
Gentoo

Contents of /eclass/elisp.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.32 - (show annotations) (download)
Mon Jun 23 21:38:42 2008 UTC (6 years ago) by opfer
Branch: MAIN
Changes since 1.31: +3 -3 lines
Update copyright information
Be more verbose on output information

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.31 2008/06/23 13:40:23 ulm Exp $
4 #
5 # Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
6 # Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
7 # Copyright 2007-2008 Christian Faulhammer <opfer@gentoo.org>
8 # Copyright 2007-2008 Ulrich Müller <ulm@gentoo.org>
9 #
10 # @ECLASS: elisp.eclass
11 # @MAINTAINER:
12 # Feel free to contact the Emacs team through <emacs@gentoo.org> if you
13 # have problems, suggestions or questions.
14 # @BLURB: Eclass for Emacs Lisp packages
15 # @DESCRIPTION:
16 #
17 # This eclass sets the site-lisp directory for Emacs-related packages.
18 #
19 # Emacs support for other than pure elisp packages is handled by
20 # elisp-common.eclass where you won't have a dependency on Emacs itself.
21 # All elisp-* functions are documented there.
22 #
23 # If the package's source is a single (in whatever way) compressed elisp
24 # file with the file name ${P}.el, then this eclass will move ${P}.el to
25 # ${PN}.el in src_unpack().
26
27 # @ECLASS-VARIABLE: DOCS
28 # @DESCRIPTION:
29 # DOCS="blah.txt ChangeLog" is automatically used to install the given
30 # files by dodoc in src_install().
31
32 # @ECLASS-VARIABLE: NEED_EMACS
33 # @DESCRIPTION:
34 # If you need anything different from Emacs 21, use the NEED_EMACS
35 # variable before inheriting elisp.eclass. Set it to the major version
36 # your package uses and the dependency will be adjusted.
37
38 inherit elisp-common versionator
39
40 VERSION=${NEED_EMACS:-21}
41 DEPEND=">=virtual/emacs-${VERSION}"
42 RDEPEND=">=virtual/emacs-${VERSION}"
43 IUSE=""
44
45 elisp_pkg_setup() {
46 local emacs_version="$(elisp-emacs-version)"
47 if ! version_is_at_least "${VERSION}" "${emacs_version}"; then
48 eerror "This package needs at least Emacs ${VERSION}."
49 eerror "Use \"eselect emacs\" to select the active version."
50 die "Emacs version ${emacs_version} is too low."
51 fi
52 einfo "Currently selected GNU Emacs version: ${emacs_version}"
53 }
54
55 elisp_src_unpack() {
56 unpack ${A}
57 if [ -f ${P}.el ]; then
58 mv ${P}.el ${PN}.el || die "mv ${P}.el ${PN}.el failed"
59 fi
60 }
61
62 elisp_src_compile() {
63 elisp-compile *.el || die "elisp-compile failed"
64 }
65
66 elisp_src_install() {
67 elisp-install ${PN} *.el *.elc || die "elisp-install failed"
68 elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
69 || die "elisp-site-file-install failed"
70 if [ -n "${DOCS}" ]; then
71 dodoc ${DOCS} || die "dodoc failed"
72 fi
73 }
74
75 elisp_pkg_postinst() {
76 elisp-site-regen
77 }
78
79 elisp_pkg_postrm() {
80 elisp-site-regen
81 }
82
83 EXPORT_FUNCTIONS \
84 src_unpack src_compile src_install \
85 pkg_setup pkg_postinst pkg_postrm

  ViewVC Help
Powered by ViewVC 1.1.20